# ScalarResolver | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Type alias ScalarResolver

ScalarResolver: {
decode?: ((s) => unknown);
encode?: ((s) => string);
}

#### Type declaration

- ##### `Optional` decode?: ((s) => unknown)

  - - (s): unknown

    - #### Parameters

      - s: unknown

      #### Returns unknown

- ##### `Optional` encode?: ((s) => string)

  - - (s): string

    - #### Parameters

      - s: unknown

      #### Returns string

- Defined in components/sdk/src/zeus/index.ts:822